Creates a new checkout config for the specified environment.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/checkouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mode": "payment",
"settlementConfig": {
"strategy": "cheapest",
"settlements": [
{
"chainName": "ETH",
"tokenAddress": "An example name",
"chainId": "An example name",
"symbol": "An example name",
"tokenDecimals": 18,
"isNative": true
}
]
},
"destinationConfig": {
"destinations": [
{
"chainName": "ETH",
"type": "address",
"identifier": "An example name"
}
]
},
"depositConfig": {
"minimum": "<string>",
"presets": [
"<string>"
]
},
"enableOrchestration": true
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"mode": "payment",
"settlementConfig": {
"strategy": "cheapest",
"settlements": [
{
"chainName": "ETH",
"tokenAddress": "An example name",
"chainId": "An example name",
"symbol": "An example name",
"tokenDecimals": 18,
"isNative": true
}
]
},
"enableOrchestration": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"destinationConfig": {
"destinations": [
{
"chainName": "ETH",
"type": "address",
"identifier": "An example name"
}
]
},
"depositConfig": {
"minimum": "<string>",
"presets": [
"<string>"
]
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Checkout created successfully
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
payment, deposit Show child attributes
Whether Dynamic handles quote optimization, fee collection, and fund settlement automatically
ISO 8601 timestamp of when the checkout was created
ISO 8601 timestamp of when the checkout was last updated
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/checkouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mode": "payment",
"settlementConfig": {
"strategy": "cheapest",
"settlements": [
{
"chainName": "ETH",
"tokenAddress": "An example name",
"chainId": "An example name",
"symbol": "An example name",
"tokenDecimals": 18,
"isNative": true
}
]
},
"destinationConfig": {
"destinations": [
{
"chainName": "ETH",
"type": "address",
"identifier": "An example name"
}
]
},
"depositConfig": {
"minimum": "<string>",
"presets": [
"<string>"
]
},
"enableOrchestration": true
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"mode": "payment",
"settlementConfig": {
"strategy": "cheapest",
"settlements": [
{
"chainName": "ETH",
"tokenAddress": "An example name",
"chainId": "An example name",
"symbol": "An example name",
"tokenDecimals": 18,
"isNative": true
}
]
},
"enableOrchestration": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"destinationConfig": {
"destinations": [
{
"chainName": "ETH",
"type": "address",
"identifier": "An example name"
}
]
},
"depositConfig": {
"minimum": "<string>",
"presets": [
"<string>"
]
}
}